Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -70,9 +70,5 @@
 
 # clock
-if RTEMS_EDISON
-libbsp_a_SOURCES += ../../shared/clock_driver_simidle.c
-else
 libbsp_a_SOURCES += clock/ckinit.c
-endif
 libbsp_a_SOURCES += ../../shared/clockdrv_shell.h
 libbsp_a_SOURCES += clock/todcfg.c
@@ -114,7 +110,4 @@
 
 # console (non-graphics support)
-if RTEMS_EDISON
-libbsp_a_SOURCES += console/console_edison.c
-endif
 include_HEADERS += ../../i386/shared/comm/i386_io.h
 include_rtems_HEADERS += ../../shared/console_private.h
Index: c/src/lib/libbsp/i386/pc386/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/pc386/configure.ac	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/configure.ac	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -18,13 +18,4 @@
 RTEMS_CHECK_SMP
 
-# Is this an Intel Edison?
-# NOTE: As we learn more, this could be trimmed if more issues
-#       turn out fo lack of legacy peripherals
-RTEMS_BSPOPTS_SET([BSP_IS_EDISON],[edison],[1])
-RTEMS_BSPOPTS_SET([BSP_IS_EDISON],[*],[0])
-RTEMS_BSPOPTS_HELP([BSP_IS_EDISON],[Set if the BSP variant is Intel Edison.])
-AM_CONDITIONAL(RTEMS_EDISON,[test "$BSP_IS_EDISON" = "1"])
-
-RTEMS_BSPOPTS_SET([BSP_ENABLE_VGA],[edison],[0])
 RTEMS_BSPOPTS_SET([BSP_ENABLE_VGA],[*],[1])
 RTEMS_BSPOPTS_HELP([BSP_ENABLE_VGA],
@@ -36,5 +27,4 @@
 [Set if COM1..COM4 support is enabled.])
 
-RTEMS_BSPOPTS_SET([BSP_ENABLE_IDE],[edison],[0])
 RTEMS_BSPOPTS_SET([BSP_ENABLE_IDE],[*],[1])
 RTEMS_BSPOPTS_HELP([BSP_ENABLE_IDE],
Index: c/src/lib/libbsp/i386/pc386/console/conscfg.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/console/conscfg.c	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/console/conscfg.c	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -61,8 +61,4 @@
 #endif
 
-#if (BSP_IS_EDISON == 1 )
-  extern const console_fns edison_fns;
-#endif
-
 /*
  * Default to the PC VGA console if present and configured.
@@ -100,25 +96,4 @@
 
 static console_tbl Legacy_Ports[] = {
-#if (BSP_IS_EDISON == 1)
-  {
-    "/dev/com1",                           /* sDeviceName */
-    -1,                                    /* deviceType */
-    &edison_fns,                           /* pDeviceFns */
-    NULL,                                  /* deviceProbe */
-    NULL,                                  /* pDeviceFlow */
-    16,                                    /* ulMargin */
-    8,                                     /* ulHysteresis */
-    (void *) NULL,              /* NULL */ /* pDeviceParams */
-    0x00000000,                            /* ulCtrlPort1 */
-    0x00000000,                            /* ulCtrlPort2 */
-    0x00000000,                            /* ulDataPort */
-    NULL,                                  /* getRegister */
-    NULL,                                  /* setRegister */
-    NULL,/* unused */                      /* getData */
-    NULL,/* unused */                      /* setData */
-    0x0,                                   /* ulClock */
-    0x0                                    /* ulIntVector -- base for port */
-  },
-#endif
 #if BSP_ENABLE_COM1_COM4
   {
Index: src/lib/libbsp/i386/pc386/console/console_edison.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/console/console_edison.c	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ 	(revision )
@@ -1,94 +1,0 @@
-
-#include <bsp.h>
-#include <libchip/serial.h>
-
-/* XXX hack until real support is available, code copied from libchip */
-#define NS16550_RECEIVE_BUFFER   0
-#define NS16550_TRANSMIT_BUFFER  0
-#define NS16550_INTERRUPT_ENABLE 1
-#define NS16550_INTERRUPT_ID     2
-#define NS16550_FIFO_CONTROL     2
-#define NS16550_LINE_CONTROL     3
-#define NS16550_MODEM_CONTROL    4
-#define NS16550_LINE_STATUS      5
-#define NS16550_MODEM_STATUS     6
-#define NS16550_SCRATCH_PAD      7
-#define NS16550_FRACTIONAL_DIVIDER 10
-
-/* status bits we use in line status */
-
-#define SP_LSR_TX     0x40
-#define SP_LSR_THOLD  0x20
-#define SP_LSR_RDY    0x01
-static volatile uint8_t *edison_com = (volatile uint8_t *)0xff010180;
-
-void edison_write_polled(int minor, char cChar);
-int edison_inbyte_nonblocking_polled(int minor);
-
-static int edison_open(int major, int minor, void *arg)
-{
-  return 0;
-}
-
-static int edison_close(int major, int minor, void *arg)
-{
-  return 0;
-}
-
-int edison_inbyte_nonblocking_polled(int minor)
-{
-  if ( edison_com[NS16550_LINE_STATUS] & 0x01 )
-    return (int) edison_com[NS16550_RECEIVE_BUFFER];
-  return -1;
-}
-
-static ssize_t edison_write_support_polled(int minor, const char *buf, size_t len)
-{
-  ssize_t i;
-
-  for ( i=0 ; i<len ; i++ ) {
-#if 0
-    if ( (edison_com[NS16550_LINE_STATUS] & SP_LSR_TX) == 0 )
-      break;
-#else
-    while ( (edison_com[NS16550_LINE_STATUS] & SP_LSR_TX) == 0x00 )
-      /* wait until ready */;
-#endif
-    edison_com[NS16550_TRANSMIT_BUFFER] = (uint8_t) buf[i];
-  }
-  return i;
-}
-
-static void edison_init(int minor)
-{
-}
-
-void edison_write_polled(int minor, char cChar)
-{
-  while ( (edison_com[NS16550_LINE_STATUS] & SP_LSR_TX) == 0x00 )
-    /* wait until ready */;
-  edison_com[NS16550_TRANSMIT_BUFFER] = (uint8_t) cChar;
-}
-
-static bool edison_probe(int minor)
-{
-  return true;
-}
-
-static int edison_set_attributes(int minor, const struct termios *t)
-{
-  return 0;
-}
-
-const console_fns edison_fns =
-{
-  edison_probe,                       /* deviceProbe */
-  edison_open,                        /* deviceFirstOpen */
-  edison_close,                       /* deviceLastClose */
-  edison_inbyte_nonblocking_polled,   /* deviceRead */
-  edison_write_support_polled,        /* deviceWrite */
-  edison_init,                        /* deviceInitialize */
-  edison_write_polled,                /* deviceWritePolled */
-  edison_set_attributes,              /* deviceSetAttributes */
-  FALSE,                              /* deviceOutputUsesInterrupts */
-};
Index: c/src/lib/libbsp/i386/pc386/include/bsp.h
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/bsp.h	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/include/bsp.h	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -190,29 +190,6 @@
 void rtems_irq_mngt_init(void);          /* from 'irq_init.c' */
 
-#if (BSP_IS_EDISON == 0)
-  void Clock_driver_install_handler(void);             /* from 'ckinit.c'  */
-  void Clock_driver_support_initialize_hardware(void); /* from 'ckinit.c'  */
-#else
-  /**
-   *  @defgroup edison_bsp Clock Tick Support
-   *
-   *  @ingroup i386_pc386
-   *
-   *  @brief Clock Tick Support Package
-   */
-   void *clock_driver_sim_idle_body(uintptr_t);
-   #define BSP_IDLE_TASK_BODY clock_driver_sim_idle_body
-  /*
-   * hack to kill some time. Hopefully hitting a hardware register is slower
-   * than an empty loop.
-   */
-  #define BSP_CLOCK_DRIVER_DELAY() \
-    do { \
-      uint64_t _i = 2500000; \
-      while (_i) { \
-        _i--; \
-      } \
-    } while ( 0 )
-#endif /* edison */
+void Clock_driver_install_handler(void);             /* from 'ckinit.c'  */
+void Clock_driver_support_initialize_hardware(void); /* from 'ckinit.c'  */
 
 void *bsp_idle_thread( uintptr_t ignored );
Index: src/lib/libbsp/i386/pc386/make/custom/edison.cfg
===================================================================
--- c/src/lib/libbsp/i386/pc386/make/custom/edison.cfg	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#
-#  Configuration file for an Intel Edision
-#
-
-include $(RTEMS_ROOT)/make/custom/pc586-sse.cfg
Index: c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -57,5 +57,4 @@
   uintptr_t topAddr;
 
-#if (BSP_IS_EDISON == 0)
   /* Set the value of start of free memory. */
   rtemsWorkAreaStart = (uint32_t)WorkAreaBase + _stack_size;
@@ -118,8 +117,4 @@
   }
 
-#else
-    topAddr = (1 * 1024 * 1024 * 1024);
-#endif
-  
   bsp_mem_size = topAddr;
 }
Index: c/src/lib/libbsp/i386/pc386/startup/bspreset.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/bspreset.c	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/startup/bspreset.c	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -15,8 +15,4 @@
 {
   /* shutdown and reboot */
-  #if (BSP_IS_EDISON == 0)
-    outport_byte(0x64, 0xFE);        /* use keyboard controller */
-  #else
-   *((uint32_t*)0xff009000) = 0xf3;  /* use watchdog */
-  #endif
+  *((uint32_t*)0xff009000) = 0xf3;  /* use watchdog */
 }
Index: c/src/lib/libbsp/i386/pc386/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/bspstart.c	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/startup/bspstart.c	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -50,5 +50,4 @@
 static void bsp_pci_initialize_helper(void)
 {
-#if (BSP_IS_EDISON == 0)
   const pci_config_access_functions *pci_accessors;
 
@@ -68,5 +67,4 @@
 
   printk("PCI bus: could not initialize PCI BIOS interface\n");
-#endif
 }
 
@@ -83,15 +81,8 @@
    * Turn off watchdog
    */
-#if (BSP_IS_EDISON == 1)
-  volatile uint32_t *edison_wd = (volatile uint32_t *)0xff009000;
-  *edison_wd = 0x11f8;
-#endif
-
   /*
    * Calibrate variable for 1ms-loop (see timer.c)
    */
-#if (BSP_IS_EDISON == 0)
   Calibrate_loop_1ms();
-#endif
 
   /*
@@ -137,7 +128,5 @@
   pc386_parse_console_arguments();
 
-#if (BSP_IS_EDISON == 0)
   Clock_driver_install_handler();
-#endif
 
 #if BSP_ENABLE_IDE
Index: c/src/lib/libbsp/i386/pc386/startup/ldsegs.S
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/ldsegs.S	(revision 9cb874d667f9a8f6abc91f4eeabb003439e05911)
+++ c/src/lib/libbsp/i386/pc386/startup/ldsegs.S	(revision dd6992fd7c534bbb05e7cd85274f668632aa2de2)
@@ -121,5 +121,4 @@
 +---------------------------------------------------------------------*/
 
-#if (BSP_IS_EDISON == 0)
 	movb	$0x11, al		/* initialization sequence          */
 	outb	al, $0x20		/* send it to 8259A-1               */
@@ -157,5 +156,4 @@
 	outb	al, $0x21		/* is cascaded                      */
 	call	SYM(pc386_delay)
-#endif
 	jmp	SYM (_establish_stack)	# return to the bsp entry code
 
